EPPDomainCheck (EPP RTK Java API Documentation)
Keywords: com.tucows.oxrs.epprtk.rtk.xml.EPPDomainCheck class

### com.tucows.oxrs.epprtk.rtk.xml

# Class EPPDomainCheck

- `org.omg.CORBA.portable.ObjectImpl`
- - `com.tucows.oxrs.epprtk.rtk.RTKBase`
  - - `com.tucows.oxrs.epprtk.rtk.xml.EPPXMLBase`
    - - `com.tucows.oxrs.epprtk.rtk.xml.EPPDomainBase`
      - - `com.tucows.oxrs.epprtk.rtk.xml.EPPDomainCheck`

Implemented Interfaces:
  epp_Action, epp_ActionOperations, epp_DomainCheck, epp_DomainCheckOperations, org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.Object

`public class EPPDomainCheck`
`extends EPPDomainBase`
`implements epp_DomainCheck`

Class for the EPP Domain Check command and response. Extends the epp_DomainCheck interface from the EPP IDLs to provide the XML translation for the EPP Domain Check command. The Check command provides a way of telling if an object exists in the registry server. Usage is demonstrated in the com.tucows.oxrs.epprtk.rtk.example.DomainExample class.

See Also:
  `DomainExample`, `epp_Action`, `epp_DomainCheck`, `epp_DomainCheckReq`, `epp_DomainCheckRsp`, `Domain Spec for more information`

  ## Field Summary

  ### Fields inherited from class com.tucows.oxrs.epprtk.rtk.xml.EPPDomainBase
  `contact_type_hash_`, `domain_status_hash_`

  ### Fields inherited from class com.tucows.oxrs.epprtk.rtk.xml.EPPXMLBase
  `auth_type_string_to_type_hash_`, `transfer_status_to_type_hash_`, `xml_`

  ### Fields inherited from class com.tucows.oxrs.epprtk.rtk.RTKBase
  `CRLF`, `DATE_FMT`, `DEBUG_LEVEL_ONE`, `DEBUG_LEVEL_THREE`, `DEBUG_LEVEL_TWO`, `DEBUG_NONE`, `RTK_VERSION`, `UTC_FMT`

  ## Constructor Summary
  `EPPDomainCheck()` Default constructor
  `EPPDomainCheck(String xml)` Constructor with response XML string to automatically parse.

  ## Method Summary
  `void` | `fromXML(String xml)` Parses a new XML String and populates the response data member.
  `epp_DomainCheckRsp` | `getResponseData()` Accessor method for the domain check response data.
  `void` | `setRequestData(epp_DomainCheckReq value)` Accessor method for the domain check request data.
  `String` | `toXML()` Builds request XML from the request data.

  ### Methods inherited from class com.tucows.oxrs.epprtk.rtk.xml.EPPDomainBase
  `createNameServerElement`, `domainContactTypeToString`, `domainStatusFromString`, `domainStatusToString`, `getTrnData`, `initContactTypeHash`, `initDomainStatusHash`, `initHashes`, `setCommonAttributes`

  ### Methods inherited from class com.tucows.oxrs.epprtk.rtk.xml.EPPXMLBase
  `addXMLElement`, `convertListToArray`, `convertListToStringArray`, `createDocRoot`, `createXMLFromDoc`, `createXMLSnippetFromDoc`, `getAvailResultFor`, `getCheckResultFor`, `getDocumentElement`, `getElement`, `getExtensionNode`, `getNode`, `getPanData`, `getTransID`, `getXML`, `initAuthInfoStringToTypeHash`, `initHashes`, `initTransferStatusToTypeHash`, `parseGenericCheckResults`, `parseGenericResult`, `prepareAuthInfo`, `prepareExtensionElement`, `stringListToXML`, `transferStatusFromString`, `transferStatusToString`

  ### Methods inherited from class com.tucows.oxrs.epprtk.rtk.RTKBase
  `_ids`, `debug`, `debug`, `getDebugLevel`, `getDebugPrintStream`, `getEasyProperty`, `getRTKProperties`, `setDebugLevel`, `setDebugLevel`, `setDebugPrintStream`

## Constructor Details

### EPPDomainCheck

    public EPPDomainCheck()

> Default constructor

### EPPDomainCheck

    public EPPDomainCheck(String xml)
                throws epp_XMLException,
                       epp_Exception

> Constructor with response XML string to automatically parse.
> Parameters:
>   `xml` - The EPP Domain Check response XML String
> Throws:
>   `epp_XMLException` - if the response XML is not parsable or does not contain the expected data
>   `epp_Exception` - if the server has responded with an error code
> See Also:
>   `fromXML(String)`

## Method Details

### fromXML

    public void fromXML(String xml)
                throws epp_XMLException,
                       epp_Exception

> Parses a new XML String and populates the response data member. Implemented method from org.openrtk.idl.epprtk.epp_Action interface.
> Specified by:
>   fromXML in interface epp_ActionOperations
> Parameters:
> Throws:
>   `epp_XMLException` - if the response XML is not parsable or does not contain the expected data
>   `epp_Exception` - if the server has responded with an error code
> See Also:
>   `epp_Action`

### getResponseData

    public epp_DomainCheckRsp getResponseData()

> Accessor method for the domain check response data.
> Specified by:
>   getResponseData in interface epp_DomainCheckOperations
> Returns:
>   value org.openrtk.idl.epprtk.epp_DomainCheckRsp

### setRequestData

    public void setRequestData(epp_DomainCheckReq value)

> Accessor method for the domain check request data. Must be set to for this command.
> Specified by:
>   setRequestData in interface epp_DomainCheckOperations
> Parameters:
>   `value` - org.openrtk.idl.epprtk.epp_DomainCheckReq

### toXML

    public String toXML()
                throws epp_XMLException

> Builds request XML from the request data. Implemented method from org.openrtk.idl.epprtk.epp_Action interface.
> Specified by:
>   toXML in interface epp_ActionOperations
> Throws:
>   `epp_XMLException` - if required data is missing
> See Also:
>   `setRequestData(epp_DomainCheckReq)`, `epp_Action`

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS